#!/bin/bash

dbUser=$1
dbPassword=$2
dbHost=$3
dbPort=$4
dbName=$5
backUpPath=$6
ossPath=$7

basePath=~/tmp/autoDeploy

cd basePath
/usr/bin/mysqldump --opt --protocol=TCP --user=${dbUser} --password=${dbPassword} --host=${dbHost} --port=${dbPort} ${dbName}  > ${dbName}.sql

cd $backUpPath
rm ${dbName}.sql_bak3.tar.gz
mv ${dbName}.sql_bak2.tar.gz ${dbName}.sql_bak3.tar.gz
mv ${dbName}.sql_bak1.tar.gz ${dbName}.sql_bak2.tar.gz
mv ${dbName}.sql.tar.gz ${dbName}.sql_bak1.tar.gz
mv ~/${dbName}.sql .
tar -czvf ${dbName}.sql.tar.gz ${dbName}.sql
rm ${dbName}.sql

if [$ {#ossPath} != 0 ]; then 
  echo "ossPath: "${ossPath}
  ~/ossutil cp ${dbName}.sql.tar.gz ${ossPath}
fi

